Loading...
Searching...
No Matches
RDKit::PDBMolSupplier Class Reference

lazy file parser for PDB files More...

`#include <MolSupplier.h>`

Inheritance diagram for RDKit::PDBMolSupplier:

## Public Member Functions

| PDBMolSupplier (std::istream *inStream, bool takeOwnership=true, bool sanitize=true, bool removeHs=true, unsigned int flavor=0, bool proximityBonding=true)
| PDBMolSupplier (const std::string &fname, bool sanitize=true, bool removeHs=true, unsigned int flavor=0, bool proximityBonding=true)
| ~PDBMolSupplier () override
void | init () override
void | reset () override
ROMol * | next () override
bool | atEnd () override
Public Member Functions inherited from RDKit::MolSupplier
| MolSupplier ()
virtual | ~MolSupplier ()
virtual void | close ()

## Protected Attributes

bool | df_sanitize
bool | df_removeHs
bool | df_proximityBonding
unsigned int | d_flavor
Protected Attributes inherited from RDKit::MolSupplier
std::istream * | dp_inStream = nullptr
bool | df_owner = false

## Additional Inherited Members

Protected Member Functions inherited from RDKit::MolSupplier
std::istream * | openAndCheckStream (const std::string &filename)

## Detailed Description

lazy file parser for PDB files

Definition at line 381 of file MolSupplier.h.

## Constructor & Destructor Documentation

## PDBMolSupplier() [1/2]

RDKit::PDBMolSupplier::PDBMolSupplier | ( | std::istream * | inStream,
|  | bool | takeOwnership = `true`,
|  | bool | sanitize = `true`,
|  | bool | removeHs = `true`,
|  | unsigned int | flavor = `0`,
|  | bool | proximityBonding = `true`
| ) |  |

explicit

## PDBMolSupplier() [2/2]

RDKit::PDBMolSupplier::PDBMolSupplier | ( | const std::string & | fname,
|  | bool | sanitize = `true`,
|  | bool | removeHs = `true`,
|  | unsigned int | flavor = `0`,
|  | bool | proximityBonding = `true`
| ) |  |

explicit

## ~PDBMolSupplier()

RDKit::PDBMolSupplier::~PDBMolSupplier | ( |  | ) |

inline override

Definition at line 391 of file MolSupplier.h.

## Member Function Documentation

## atEnd()

bool RDKit::PDBMolSupplier::atEnd | ( |  | ) |

override virtual

Implements RDKit::MolSupplier.

## init()

void RDKit::PDBMolSupplier::init | ( |  | ) |

override virtual

Implements RDKit::MolSupplier.

## next()

ROMol * RDKit::PDBMolSupplier::next | ( |  | ) |

override virtual

Implements RDKit::MolSupplier.

## reset()

void RDKit::PDBMolSupplier::reset | ( |  | ) |

override virtual

Implements RDKit::MolSupplier.

## Member Data Documentation

## d_flavor

unsigned int RDKit::PDBMolSupplier::d_flavor

protected

Definition at line 400 of file MolSupplier.h.

## df_proximityBonding

bool RDKit::PDBMolSupplier::df_proximityBonding

protected

Definition at line 399 of file MolSupplier.h.

## df_removeHs

bool RDKit::PDBMolSupplier::df_removeHs

protected

Definition at line 399 of file MolSupplier.h.

## df_sanitize

bool RDKit::PDBMolSupplier::df_sanitize

protected

Definition at line 399 of file MolSupplier.h.

The documentation for this class was generated from the following file:

- MolSupplier.h